| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DynamicType Class Referenceabstract

`#include <DynamicType.hpp>`

Inheritance diagram for DynamicType:
[legend]

## Public Types

using | _ref_type = typename traits<DynamicType>::ref_type

## Public Member Functions

virtual FASTDDS_EXPORTED_API ReturnCode_t | get_descriptor (traits< TypeDescriptor >::ref_type &descriptor)=0
| Provides a summary of the state of this type overwriting a provided object (see [standard] 7.5.2.8.7).
virtual FASTDDS_EXPORTED_API ObjectName | get_name ()=0
| Returns the fully qualified name of this type.
virtual FASTDDS_EXPORTED_API TypeKind | get_kind ()=0
| Returns the TypeKind associated.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_member_by_name (traits< DynamicTypeMember >::ref_type &member, const ObjectName &name)=0
| Returns the member that corresponds to the specified name.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_all_members_by_name (DynamicTypeMembersByName &member)=0
| Returns all members by ObjectName.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_member (traits< DynamicTypeMember >::ref_type &member, MemberId id)=0
| Returns the member that corresponds to the specified MemberId.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_all_members (DynamicTypeMembersById &member)=0
| Returns all members by MemberId.
virtual FASTDDS_EXPORTED_API uint32_t | get_member_count ()=0
| This operation returns the current number of members.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_member_by_index (traits< DynamicTypeMember >::ref_type &member, uint32_t index)=0
| This operation returns the member that corresponds to the specified index.
virtual FASTDDS_EXPORTED_API uint32_t | get_annotation_count ()=0
| Returns the number of applied annotations to the type.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_annotation (traits< AnnotationDescriptor >::ref_type &descriptor, uint32_t idx)=0
| Returns an applied annotation by index.
virtual FASTDDS_EXPORTED_API uint32_t | get_verbatim_text_count ()=0
| Returns the number of applied verbatim text to the type.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_verbatim_text (traits< VerbatimTextDescriptor >::ref_type &descriptor, uint32_t idx)=0
| Returns an applied verbatim text by index.
virtual FASTDDS_EXPORTED_API bool | equals (traits< DynamicType >::ref_type other)=0
| State comparison according with the [standard] sections 7.5.2.8.4.

## Protected Member Functions

| DynamicType ()=default
virtual | ~DynamicType ()=default
traits< DynamicType >::ref_type | _this ()

## Member Typedef Documentation

## ◆ _ref_type

using _ref_type = typename traits<DynamicType>::ref_type

## Constructor & Destructor Documentation

## ◆ DynamicType()

DynamicType | ( |  | ) |

protected default

## ◆ ~DynamicType()

virtual ~DynamicType | ( |  | ) |

protected virtual default

## Member Function Documentation

## ◆ _this()

traits< DynamicType >::ref_type _this | ( |  | ) |

protected

## ◆ equals()

virtual FASTDDS_EXPORTED_API bool equals | ( | traits< DynamicType >::ref_type | other | ) |

pure virtual

State comparison according with the [standard] sections 7.5.2.8.4.

Parameters

  [in] | other | DynamicType reference to compare to

Returns
  bool true on equality

## ◆ get_all_members()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_all_members | ( | DynamicTypeMembersById & | member | ) |

pure virtual

Returns all members by MemberId.

Parameters

  [in,out] | member | DynamicTypeMembersById reference where the information is copied.

Returns
  ReturnCode_t

Return values

  RETCODE_OK |

## ◆ get_all_members_by_name()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_all_members_by_name | ( | DynamicTypeMembersByName & | member | ) |

pure virtual

Returns all members by ObjectName.

Parameters

  [in,out] | member | DynamicTypeMembersByName reference where the information is copied.

Returns
  ReturnCode_t

Return values

  RETCODE_OK |

## ◆ get_annotation()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_annotation | ( | traits< AnnotationDescriptor >::ref_type & | descriptor,
|  | uint32_t | idx )

pure virtual

Returns an applied annotation by index.

Parameters

  [in,out] | descriptor | AnnotationDescriptor reference where the information is copied.
  [in] | idx | Index.

Returns
  standard ReturnCode_t

Return values

  RETCODE_OK | when the copy was successful.
  RETCODE_BAD_PARAMETER | when descriptor reference is nil or index is out-of-range.

## ◆ get_annotation_count()

virtual FASTDDS_EXPORTED_API uint32_t get_annotation_count | ( |  | ) |

pure virtual

Returns the number of applied annotations to the type.

Returns
  Number of annotations.

## ◆ get_descriptor()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_descriptor | ( | traits< TypeDescriptor >::ref_type & | descriptor | ) |

pure virtual

Provides a summary of the state of this type overwriting a provided object (see [standard] 7.5.2.8.7).

Parameters

  [in,out] | descriptor | TypeDescriptor reference where copied the information.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the copy was successful.
  RETCODE_BAD_PARAMETER | when descriptor reference is nil.

## ◆ get_kind()

virtual FASTDDS_EXPORTED_API TypeKind get_kind | ( |  | ) |

pure virtual

Returns the TypeKind associated.

Returns
  TypeKind

## ◆ get_member()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_member | ( | traits< DynamicTypeMember >::ref_type & | member,
|  | MemberId | id )

pure virtual

Returns the member that corresponds to the specified MemberId.

Parameters

  [in,out] | member | DynamicTypeMember reference used to return the reference to the member.
  [in] | id | MemberId

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the member was found.
  RETCODE_BAD_PARAMETER | when the member doesn't exist.

## ◆ get_member_by_index()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_member_by_index | ( | traits< DynamicTypeMember >::ref_type & | member,
|  | uint32_t | index )

pure virtual

This operation returns the member that corresponds to the specified index.

Parameters

  [in,out] | member | DynamicTypeMember reference used to return the reference to the member.
  [in] | index | Index

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the member was found.
  RETCODE_BAD_PARAMETER | when the index is out-of-range.

## ◆ get_member_by_name()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_member_by_name | ( | traits< DynamicTypeMember >::ref_type & | member,
|  | const ObjectName & | name )

pure virtual

Returns the member that corresponds to the specified name.

Parameters

  [in,out] | member | DynamicTypeMember reference used to return the reference to the member.
  [in] | name | Member name of the member being queried.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the member was found.
  RETCODE_BAD_PARAMETER | when the member doesn't exist.

## ◆ get_member_count()

virtual FASTDDS_EXPORTED_API uint32_t get_member_count | ( |  | ) |

pure virtual

This operation returns the current number of members.

Returns
  Current number of members

## ◆ get_name()

virtual FASTDDS_EXPORTED_API ObjectName get_name | ( |  | ) |

pure virtual

Returns the fully qualified name of this type.

Returns
  Type name.

## ◆ get_verbatim_text()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_verbatim_text | ( | traits< VerbatimTextDescriptor >::ref_type & | descriptor,
|  | uint32_t | idx )

pure virtual

Returns an applied verbatim text by index.

Parameters

  [in,out] | descriptor | VerbatimTextDescriptor reference where the information is copied.
  [in] | idx | Index.

Returns
  standard ReturnCode_t

Return values

  RETCODE_OK | when the copy was successful.
  RETCODE_BAD_PARAMETER | when descriptor reference is nil or index is out-of-range.

## ◆ get_verbatim_text_count()

virtual FASTDDS_EXPORTED_API uint32_t get_verbatim_text_count | ( |  | ) |

pure virtual

Returns the number of applied verbatim text to the type.

Returns
  Number of verbatim texts.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/dynamic_types/DynamicType.hpp